%define _name beep-media-player
%define pre pre4
%define beta %nil
%def_with esound
%def_without diskwriter
%def_without mikmod
%def_without mesa
%def_without gnome

Name: beep
Version: 1.0.0
Release: alt0.1%pre

Summary: The GTK+2 port of XMMS
License: GPL
Group: Sound
Url: http://linux-media.net/beep/

Source: %url/%_name-%version-%pre.tar.gz

Source1: %name-16x16.xpm
Source2: %name-32x32.xpm
Source3: %name-48x48.xpm

Requires: lib%name = %version-%release

BuildPreReq: libtool_1.4
BuildPreReq: automake_1.4

# Automatically added by buildreq on Sat Oct 25 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static libalsa-devel libatk-devel libaudiofile-devel libexpat libgtk+2-devel libmikmod-devel libogg-devel libpango-devel libvorbis-devel pkgconfig zlib-devel

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp GUI, it
can use WinAmp skins, and play mp3s, mods, s3ms, and other formats. It now has
support for input, output, and general plugins, and has also been GPLd.

This package provides Beep is a GTK+2 port of XMMS.

%description -l ru_RU.KOI8-R
X MultiMedia System -   .    
  WinAmp,     WinAmp.  
   : mp3s, mods, s3ms,   . 
    input, output, general,  visualization .

%package -n lib%name
Summary: Library associated with %name, needed for %name and its plugins.
Group: System/Libraries
Requires: lib%name = %version-%release

%description -n lib%name
This library is mandatory for %name and for all its plugins to run.

%description  -n lib%name -l ru_RU.KOI8-R
    %name    .

%package -n lib%name-devel
Summary: Development package with headers for %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files required for compiling %name plugins.

%description -n lib%name-devel -l ru_RU.KOI8-R
       %name.

%package -n lib%name-devel-static
Summary: Development package with static libs for %name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static libraries required for compiling %name plugins.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
     
 %name.

%package output-esd
Summary: ESound output backend for %name
Group: Sound
BuildPreReq: esound-devel
Requires: %name = %version-%release
Requires: esound >= 0.2.14

%description output-esd
Output plugin for %name for use with the esound package

%description output-esd -l ru_RU.KOI8-R
Output      esound

%package output-diskwriter
Summary: DiskWriter output backend for %name
Group: Sound
Requires: %name = %version-%release

%description output-diskwriter
Output plugin for %name in order to output *.wav files instead of playing
sound on the soundcard.

%package -n gnome-applets-extra-beep
Summary: Gnome applet for %name
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description -n gnome-applets-extra-beep
GNOME applet for controlling %name from the GNOME panel

%description -n gnome-applets-extra-beep -l ru_RU.KOI8-R
   xmms   GNOME.

%package input-mikmod
Summary: Mikmod input plugin for %name
Group: Sound
BuildPreReq: libmikmod-devel
Requires: %name = %version-%release
Requires: libmikmod >= 3.1.6

%description input-mikmod
Input plugin for %name to play MODs (.MOD,.XM,.S3M, etc)

%package visualization-mesa
Summary: Visualization plugins for %name that use the Mesa3d library
Group: Sound
Requires: %name = %version-%release
BuildPreReq: Mesa-devel

%description visualization-mesa
3D Visualization plugins for %name that use the Mesa3d library.

%description visualization-mesa -l ru_RU.KOI8-R
Visualization   %name,   Mesa3d.

%package input-vorbis
Summary: XMMS - Input plugin for %name that use the Vorbis library
Summary(ru):	Input   %name,   Vorbis.
Group: Sound
Requires: %name = %version-%release, libvorbis >= 1.0rc2, libogg >= 1.0rc2
BuildPreReq: libvorbis

%description input-vorbis
Input plugins for %name that use the Vorbis library.

%description input-vorbis -l ru_RU.KOI8-R
Input   %name,   Vorbis.

%define _beep_libdir %_libdir/%name
%define _beep_general_plugin_dir %_beep_libdir/General
%define _beep_input_plugin_dir %_beep_libdir/Input
%define _beep_output_plugin_dir %_beep_libdir/Output
%define _beep_effect_plugin_dir %_beep_libdir/Effect
%define _beep_visualization_plugin_dir %_beep_libdir/Visualization

%prep
%setup -q -n %_name-%version-%pre

%__subst 's,\(^ALL_LINGUAS="\).*$,\1",' configure.in

%build
%set_libtool_version 1.4
%set_automake_version 1.4

pushd lib%name
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c
%__autoconf
popd

%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c
%__autoconf

export "LDFLAGS=-L%_x11libdir -L`pwd`/libbeep/.libs"

%configure --enable-static
%make_build

%install
%make_install DESTDIR=%buildroot install
%__mkdir_p %buildroot{%_beep_general_plugin_dir,%_beep_effect_plugin_dir,%_beep_visualization_plugin_dir}

# menu
%__mkdir_p %buildroot%_menudir
%__cat <<__MENU__ >%buildroot%_menudir/%name
?package(%name): \
needs="x11" \
section="Multimedia/Sound" \
title="Beep" \
longtitle="A GTK+2 port of XMMS" \
command="soundwrapper %_name" \
kde_mimetype="video/mpeg;audio/x-mp3;audio/x-ogg;audio/x-mpegurl;audio/x-wav" \
icon="%name.xpm"
__MENU__

# icons
%__mkdir_p %buildroot%_miconsdir
%__mkdir_p %buildroot%_liconsdir
%__install -m644 %SOURCE1 %buildroot%_miconsdir/%name.xpm
%__install -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -m644 %SOURCE3 %buildroot%_liconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/%_name
%dir %_beep_libdir
%dir %_beep_general_plugin_dir
%dir %_beep_input_plugin_dir
%dir %_beep_output_plugin_dir
%dir %_beep_effect_plugin_dir
%dir %_beep_visualization_plugin_dir
%_beep_input_plugin_dir/libmpg123.so
%_beep_input_plugin_dir/libcdaudio.so
%_beep_output_plugin_dir/libOSS.so
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%_menudir/*
%_man1dir/*
%doc AUTHORS ChangeLog FAQ NEWS README TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/%name-config
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_datadir/aclocal/*

%files -n lib%name-devel-static
%_libdir/*.a

%if_with esound
%files output-esd
%_beep_output_plugin_dir/libesdout.so
%endif

%if_with diskwriter
%files output-diskwriter
%_beep_output_plugin_dir/libdisk_writer.so
%endif

%if_with gnome
%files -n gnome-applets-extra-beep
%config(noreplace) /etc/CORBA/servers/*
%_bindir/gnomexmms
%_datadir/applets/Multimedia/gnomexmms.desktop
%_datadir/mime-info/xmms.keys
%_datadir/pixmaps/*
%_mandir/man1/gnomexmms.1.*
%endif

%if_with mikmod
%files input-mikmod
%_beep_input_plugin_dir/libmikmod.so
%endif

%if_with mesa
%files visualization-mesa
%_libdir/xmms/Visualization/libogl_spectrum.so
%endif

%files input-vorbis
%_beep_input_plugin_dir/libvorbis.so

%changelog
* Fri Oct 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre4
- 1.0.0pre4

* Sat Oct 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre3
- new version

* Sat Oct 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre2
- First build for Sisyphus.
